<? 
header("content-type:text/html; charset=utf-8"); 

include("config.php");
include("keyword.php");


$link = mysql_connect(DB_HOST, DB_USER, DB_PASS) or die("数据库配置信息错误：" . mysql_error());
mysql_query("SET NAMES utf8");
if(!@mysql_select_db(DB_DATE, $link)){
	exit("数据库连接失败！");		
}
$ip=$_SERVER['REMOTE_ADDR'];
$time=time();
$keyword_arr1=array_unique ($keyword_arr);
unset($keyword_arr);
echo count($keyword_arr1);
//exit;
$k_zimu="";
$k_len=0;
foreach($keyword_arr1 as $k=>$v){
	$k_zimu=getfirstchar($k);
	$k_len=mb_strlen($k,'utf8');
	if($k_len>1){
		$sql="insert into `seo_keywords`(`keyword`,`replace`,`zimu`,`klen`,`addtime`,`addname`,`updatetime`,`updatename`,`ip`) values('".$k."','".$v."','".$k_zimu."','".$k_len."','".$time."','admin','".$time."','admin','".$ip."')";	
		mysql_query($sql) or die(mysql_error());		
	}

//	$k_zimu="";
//	$k_len=0;
}

unset($keyword_arr1);
echo "完成";
//取得测字首字母
function getfirstchar($s0){ 
if(ord($s0)>="1" and ord($s0)<=ord("z") )   { return strtoupper($s0); } 
$s=iconv("UTF-8","gb2312//IGNORE", $s0); 
$asc=ord($s{0})*256+ord($s{1})-65536; 
if($asc>=-20319 and $asc<=-20284)return "A"; 
if($asc>=-20283 and $asc<=-19776)return "B"; 
if($asc>=-19775 and $asc<=-19219)return "C"; 
if($asc>=-19218 and $asc<=-18711)return "D"; 
if($asc>=-18710 and $asc<=-18527)return "E"; 
if($asc>=-18526 and $asc<=-18240)return "F"; 
if($asc>=-18239 and $asc<=-17923)return "G"; 
if($asc>=-17922 and $asc<=-17418)return "H";               
if($asc>=-17417 and $asc<=-16475)return "J";               
if($asc>=-16474 and $asc<=-16213)return "K";               
if($asc>=-16212 and $asc<=-15641)return "L";               
if($asc>=-15640 and $asc<=-15166)return "M";               
if($asc>=-15165 and $asc<=-14923)return "N";               
if($asc>=-14922 and $asc<=-14915)return "O";               
if($asc>=-14914 and $asc<=-14631)return "P";               
if($asc>=-14630 and $asc<=-14150)return "Q";               
if($asc>=-14149 and $asc<=-14091)return "R";               
if($asc>=-14090 and $asc<=-13319)return "S";               
if($asc>=-13318 and $asc<=-12839)return "T";               
if($asc>=-12838 and $asc<=-12557)return "W";               
if($asc>=-12556 and $asc<=-11848)return "X";               
if($asc>=-11847 and $asc<=-11056)return "Y";               
if($asc>=-11055 and $asc<=-10247)return "Z";   
return 0; 
}

?> 
